# Token2 oder Solokey

https://www.token2.com/home

Verschiedene Optionen zur Schlüsselerzeugung:  
  
ssh-keygen  -Ono-touch-required -t ecdsa-sk -f ~/.ssh/id_ecdsa_notouch_sk  
ssh-keygen -t ecdsa-sk -C "T2F2-NFC-Slim"  
ssh-keygen -t ecdsa-sk -O resident -C "T2F2-NFC-Slim"  
ssh-keygen -t ecdsa-sk -O resident -O application=ssh:servername1  
ssh-keygen -t ecdsa-sk -f ~/.ssh/id_ecdsa_notouch_sk -O resident -C "Token2 swiss"  

key zurück ssh-keygen -K  # Dann Wird der Öffentliche und private Schlüssel an aktueller stelle gespeichert.

-Ono-touch-required Brauche keine Berührung zum Schlüssel freigeben
-t ecdsa-sk Schlüsselverfahren
-O resident speichert auf dem Key geht aber nur wenn der Key ein HardwarePasswort bekommen hat.
-f Speicherort und Dateiname  

# Windows  

Windows wird mit OpenSSH 8.1 geliefert, das keine Hardware-Schlüssel unterstützt. Daher müssen wir die vorhandene OpenSSH-Version aktualisieren. Version 8.1.p1 LibreSSL 3.0.2

1. Laden Sie die neueste [.zip-Version](https://github.com/PowerShell/Win32-OpenSSH/releases/) von OpenSSH für Windows herunter.

2. Bearbeiten Sie die Ordnerberechtigungen für C:\Windows\System32\OpenSSH, damit Sie Zugriff auf das Überschreiben der Dateien in diesem Ordner haben:

3. Öffnen Sie den Task-Manager und beenden Sie alle aktiven sshd.exe- oder ssh-agent.exe-Prozesse. Sie müssen diese Prozesse beenden, bevor Sie diese Dateien überschreiben können.

4. Überschreiben Sie die Dateien in System32\OpenSSH mit den neuesten OpenSSH-Dateien, die Sie heruntergeladen haben.

5. Öffnen Sie PowerShell im Administratormodus.

6. Führen Sie das Hilfsskript install-sshd.ps1 (im Lieferumfang der OpenSSH-Dateien enthalten) aus, um den ssh-agent-Dienst zu installieren.

7. Starten Sie den ssh-agent-Service:

Get-Service -Name ssh-agent | Set-Service -StartupType Automatisch

Start-Service ssh-Agent

8. Bestätigen Sie, dass ssh auf die neueste Version aktualisiert wurde: ssh -V

9. Bestätigen Sie, dass der ssh-agent-Dienst erfolgreich gestartet wurde: ssh-add -L

10. (Optional) Setzen Sie den Eigentümer von System32\OpenSSH zurück auf NT Service\TrustedInstaller (dies ist der Standardbesitzer kritischer Windows-Dateien, um versehentliche Dateiänderungen oder -löschungen zu verhindern).

Als Nächstes können wir mit dem Token2-Sicherheitsschlüssel ein neues Schlüsselpaar generieren.